From b6d59cd841878d6caba02ba647d2382269d4c349 Mon Sep 17 00:00:00 2001
From: Dirk Mueller <dmueller@suse.com>
Date: Sun, 15 Mar 2015 12:48:31 +0100
Subject: [PATCH] ARM64: Adjust xkbe-a0 to Linux 4.0rc3

---
 patches.arch/arm64-0004-net-xgbe-Add-A0-silicon-support.patch | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/patches.arch/arm64-0004-net-xgbe-Add-A0-silicon-support.patch b/patches.arch/arm64-0004-net-xgbe-Add-A0-silicon-support.patch
index 1c520fb..5c06a82 100644
--- a/patches.arch/arm64-0004-net-xgbe-Add-A0-silicon-support.patch
+++ b/patches.arch/arm64-0004-net-xgbe-Add-A0-silicon-support.patch
@@ -10,6 +10,7 @@ already have A0 silicon. This patch adds a driver from AMD for
 early A0 silicon in parallel to the B0 one.
 
 Signed-off-by: Alexander Graf <agraf@suse.de>
+Signed-off-by: Dirk Mueller <@dmueller@suse.com>
 
 ---
  drivers/net/ethernet/amd/Makefile               |    2 +-
@@ -6048,8 +6049,8 @@ index 0000000..80dd451
 +
 +static void xgbe_prep_vlan(struct sk_buff *skb, struct xgbe_packet_data *packet)
 +{
-+	if (vlan_tx_tag_present(skb))
-+		packet->vlan_ctag = vlan_tx_tag_get(skb);
++	if (skb_vlan_tag_present(skb))
++		packet->vlan_ctag = skb_vlan_tag_get(skb);
 +}
 +
 +static int xgbe_prep_tso(struct sk_buff *skb, struct xgbe_packet_data *packet)
@@ -6119,9 +6120,9 @@ index 0000000..80dd451
 +		XGMAC_SET_BITS(packet->attributes, TX_PACKET_ATTRIBUTES,
 +			       CSUM_ENABLE, 1);
 +
-+	if (vlan_tx_tag_present(skb)) {
++	if (skb_vlan_tag_present(skb)) {
 +		/* VLAN requires an extra descriptor if tag is different */
-+		if (vlan_tx_tag_get(skb) != ring->tx.cur_vlan_ctag)
++		if (skb_vlan_tag_get(skb) != ring->tx.cur_vlan_ctag)
 +			/* We can share with the TSO context descriptor */
 +			if (!context_desc) {
 +				context_desc = 1;
-- 
2.0.4

